REST reference
Runner
curl -X POST "https://example.com/runner/register" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "publicKey": "string", "problemTypes": [ "string" ] }'{ "runnerId": "string", "fingerprint": "string", "state": "string"}POST
/runner/auth/challengeTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/runner/auth/challenge" \ -H "Content-Type: application/json" \ -d '{ "fingerprint": "string" }'{ "nonce": "string", "expiresAt": "string"}curl -X POST "https://example.com/runner/auth/token" \ -H "Content-Type: application/json" \ -d '{ "fingerprint": "string", "nonce": "string", "signature": "string" }'{ "token": "string", "expiresAt": "string"}curl -X POST "https://example.com/runner/jobs/claim" \ -H "Content-Type: application/json" \ -d '{}'{ "jobId": "string", "submissionId": "string", "attempt": 0, "leaseToken": "string", "leaseExpiresAt": "string", "problemType": "string", "problemVersionId": "string", "packageFileId": "string", "packageSha256": "string", "files": [ { "name": "string", "fileName": "string", "language": "string", "fileId": "string", "sha256": "string", "sizeBytes": 0 } ], "props": null, "problemVersionProps": null, "config": null}curl -X POST "https://example.com/runner/trials/claim" \ -H "Content-Type: application/json" \ -d '{}'{ "trialId": "string", "leaseToken": "string", "leaseExpiresAt": "string", "problemType": "string", "packageFileId": "string", "packageSha256": "string"}POST
/runner/trials/{trialId}/reportPath Parameters
trialId*string
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/runner/trials/497f6eca-6276-4993-bfeb-53cbbbba6f08/report" \ -H "Content-Type: application/json" \ -d '{ "leaseToken": "string" }'{ "trialId": "string", "state": "string", "duplicate": true}POST
/runner/trials/{trialId}/leasePath Parameters
trialId*string
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/runner/trials/497f6eca-6276-4993-bfeb-53cbbbba6f08/lease" \ -H "Content-Type: application/json" \ -d '{ "leaseToken": "string" }'{ "trialId": "string", "leaseToken": "string", "leaseExpiresAt": "string"}POST
/runner/jobs/{jobId}/reportPath Parameters
jobId*string
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/runner/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/report" \ -H "Content-Type: application/json" \ -d '{ "leaseToken": "string" }'{ "resultId": "string", "state": "string", "duplicate": true}curl -X POST "https://example.com/runner/heartbeat"Empty
POST
/runner/jobs/{jobId}/leasePath Parameters
jobId*string
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/runner/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/lease" \ -H "Content-Type: application/json" \ -d '{ "leaseToken": "string" }'{ "jobId": "string", "leaseToken": "string", "leaseExpiresAt": "string"}POST
/runner/jobs/{jobId}/releasePath Parameters
jobId*string
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/runner/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/release" \ -H "Content-Type: application/json" \ -d '{ "leaseToken": "string" }'Empty
POST
/runner/jobs/{jobId}/progressPath Parameters
jobId*string
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/runner/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/progress" \ -H "Content-Type: application/json" \ -d '{ "leaseToken": "string" }'Empty
curl -X GET "https://example.com/runner/files/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
POST
/runner/filesRequest Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/runner/files" \ -F file="string" \ -F sha256="string"{ "id": "string", "name": "string", "mimeType": "string", "sizeBytes": 0, "sha256": "string", "createdAt": "string"}POST
/runner/jobs/{jobId}/filesPath Parameters
jobId*string
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/runner/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/files" \ -H "Content-Type: application/json" \ -d '{ "leaseToken": "string", "fileId": "string", "name": "string" }'Empty
curl -X POST "https://example.com/runner/files/attach" \ -H "Content-Type: application/json" \ -d '{ "fileId": "string", "name": "string" }'Empty